cURL
curl --request PATCH \ --url https://recoup-api.vercel.app/api/chats \ --header 'Content-Type: application/json' \ --data ' { "chatId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "topic": "<string>" } '
{ "status": "success", "chat": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "topic": "<string>", "updated_at": "2023-11-07T05:31:56Z", "artist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Update a chat room’s topic (display name). The chatId is required; the topic field will be updated. Topic must be between 3 and 50 characters.
Chat fields to update
The unique identifier (UUID) of the chat room to update
The new display name for the chat room. Must be between 3 and 50 characters.
3 - 50
Chat updated successfully
Status of the request
success
The updated chat room object
Show child attributes
Was this page helpful?